#include<bits/stdc++.h>
#define inf 2147483647
#define ll long long
using namespace std;
int main(){
//	freopen("query.in","r",stdin);
//	freopen("query.out","w",stdout);
	ios::sync_with_stdio(0);
	cin.tie(0);cout.tie(0);
	
	
//	fclose(stdin);
//	fclose(stdout);
	return 0;
} 
